## dsdo 1.4.49

=== Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.49

#-----------------------------------------------------------------------------
# Build rules:

all: words aspell ispell

words: words-$(language_code)

words-$(language_code): words-$(language_code).sq unsq
	./unsq < words-$(language_code).sq > words-$(language_code)

aspell: words
	$(MAKE) -C aspell all

ispell: words
	$(MAKE) -C ispell all

#-----------------------------------------------------------------------------
# Installation rules:

install: install-words install-aspell install-ispell

install-words: words

install-aspell: aspell
	$(MAKE) -C aspell install

install-ispell: ispell
	$(MAKE) -C ispell install

#-----------------------------------------------------------------------------
# Cleanup rules:

clean:
	rm -f words-$(language_code)
	$(MAKE) -C aspell clean
	$(MAKE) -C ispell clean

=== aspell/Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.49

dictdir=`aspell dump config | grep '^\# dict-dir current: ' | cut -d' ' -f4`
datadir=`aspell dump config | grep '^\# data-dir current: ' | cut -d' ' -f4`

all: $(sprog) $(sprog).dat $(sprog)_phonet.dat

install: $(sprog).dat $(sprog)_phonet.dat $(sprog)
	install -o root -g root -m 0644 $(sprog).dat        $(datadir)
	install -o root -g root -m 0644 $(sprog)_phonet.dat $(datadir)
	install -o root -g root -m 0644 $(sprog)            $(dictdir)
	ln -fs $(datadir)/$(sprog).dat        $(datadir)/$(language_code)_$(country_code).dat || true
	ln -fs $(datadir)/$(sprog)_phonet.dat $(datadir)/$(language_code)_$(country_code)_phonet.dat || true
	ln -fs $(dictdir)/$(sprog)            $(dictdir)/$(language_code)_$(country_code) || true
	ln -fs $(datadir)/$(sprog).dat        $(datadir)/$(sprog_en_lower_case).dat || true
	ln -fs $(datadir)/$(sprog)_phonet.dat $(datadir)/$(sprog_en_lower_case)_phonet.dat || true
	ln -fs $(dictdir)/$(sprog)            $(dictdir)/$(sprog_en_lower_case) || true

$(sprog): $(sprog).dat $(sprog)_phonet.dat ../words-$(language_code)
	tr ' ' '\012' < ../words-$(language_code) | egrep -v '[0-9#,`/+:]' | sort -u | aspell --local-data-dir=./ --lang=$(sprog) create master ./$(sprog)

clean:
	rm -f $(sprog)

=== ispell/Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.49

installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

all: maskbits $(sprog).hash

maskbits:
	@test "`ispell -vv | grep MASKBITS`" != ""              || ( echo Ispell should be compiled with MASKBITS set to at least 64. ; exit -2 )
	@test `ispell -vv | grep MASKBITS | cut -d= -f2` -ge 64 || ( echo Ispell should be compiled with MASKBITS set to at least 64. ; exit -3 )

$(sprog)-fake.hash: maskbits $(sprog).aff
	echo 'QQQQQQQQ' > $(sprog)-fake
	buildhash -s $(sprog)-fake $(sprog).aff $(sprog)-fake.hash

words-$(language_code): ../words-$(language_code)
	egrep -v '[/.: +]' ../words-$(language_code) | sort -u > words-$(language_code)

words-$(language_code).munched: maskbits words-$(language_code) $(sprog).aff
	munchlist -l $(sprog).aff -v < words-$(language_code) > words-$(language_code).munched

words-$(language_code)-in_ispell_list: maskbits $(sprog)-fake.hash words-$(language_code).munched
	ispell -e -d ./$(sprog)-fake < words-$(language_code).munched | tr ' ' '\n' | sort -u > words-$(language_code)-in_ispell_list

words-$(language_code)-missing_in_ispell_list: words-$(language_code) words-$(language_code)-in_ispell_list
	diff words-$(language_code) words-$(language_code)-in_ispell_list | grep '^< ' | cut -c3- | egrep -v '[/ .]' > words-$(language_code)-missing_in_ispell_list

words-$(language_code).complete: words-$(language_code)-missing_in_ispell_list words-$(language_code).munched
	sort -u words-$(language_code)-missing_in_ispell_list words-$(language_code).munched > words-$(language_code).complete

$(sprog).hash: maskbits words-$(language_code).complete $(sprog).aff
	buildhash words-$(language_code).complete $(sprog).aff $(sprog).hash

install: maskbits $(sprog).hash $(sprog).aff
	install -o root -g root -m 0644 $(sprog).hash $(installdir)
	install -o root -g root -m 0644 $(sprog).aff  $(installdir)
	ln -fs $(installdir)/$(sprog).hash $(installdir)/$(language_code)_$(country_code).hash
	ln -fs $(installdir)/$(sprog).aff  $(installdir)/$(language_code)_$(country_code).aff

clean:
	rm -f words-$(language_code).complete.stat $(sprog).hash words-$(language_code).complete.cnt *~ $(sprog)-fake $(sprog)-fake.cnt $(sprog)-fake.stat $(sprog)-fake.hash words-$(language_code) words-$(language_code)-in_ispell_list words-$(language_code)-missing_in_ispell_list words-$(language_code).complete words-$(language_code).munched

=== myspell/Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.49

installdir=`locate wordbook/dictionary.lst | sed 's:/dictionary.lst$$::'`

all:
	make -C ../ispell words-$(language_code).complete

words-$(language_code)_$(country_code).dic: ../ispell/words-$(language_code).complete
	cp ../ispell/words-$(language_code).complete words-$(language_code)_$(country_code).dic

install: $(language_code)_$(country_code).dic $(language_code)_$(country_code).aff
	install -o root -g root -m 0644 $(language_code)_$(country_code).dic $(installdir)
	install -o root -g root -m 0644 $(language_code)_$(country_code).aff $(installdir)

clean:

## dsdo 1.4.52

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.49
+version=1.4.52
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.52

all:
	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.
	@exit 1

#dictdir=`aspell dump config | grep '^\# dict-dir current: ' | cut -d' ' -f4`
#datadir=`aspell dump config | grep '^\# data-dir current: ' | cut -d' ' -f4`
#
#all: $(sprog) $(sprog).dat $(sprog)_phonet.dat
#
#install: $(sprog).dat $(sprog)_phonet.dat $(sprog)
#	install -o root -g root -m 0644 $(sprog).dat        $(datadir)
#	install -o root -g root -m 0644 $(sprog)_phonet.dat $(datadir)
#	install -o root -g root -m 0644 $(sprog)            $(dictdir)
#	ln -fs $(datadir)/$(sprog).dat        $(datadir)/$(language_code)_$(country_code).dat || true
#	ln -fs $(datadir)/$(sprog)_phonet.dat $(datadir)/$(language_code)_$(country_code)_phonet.dat || true
#	ln -fs $(dictdir)/$(sprog)            $(dictdir)/$(language_code)_$(country_code) || true
#	ln -fs $(datadir)/$(sprog).dat        $(datadir)/$(sprog_en_lower_case).dat || true
#	ln -fs $(datadir)/$(sprog)_phonet.dat $(datadir)/$(sprog_en_lower_case)_phonet.dat || true
#	ln -fs $(dictdir)/$(sprog)            $(dictdir)/$(sprog_en_lower_case) || true
#
#$(sprog): $(sprog).dat $(sprog)_phonet.dat ../words-$(language_code)
#	tr ' ' '\012' < ../words-$(language_code) | egrep -v '[0-9#,`/+:]' | sort -u | aspell --local-data-dir=./ --lang=$(sprog) create master ./$(sprog)
#
#clean:
#	rm -f $(sprog)
#

=== ispell/Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.52

all:
	@echo Please use the ispell package to build the dictionary for Ispell.
	@exit 1

#installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`
#
#all: maskbits $(sprog).hash
#
#maskbits:
#	@test "`ispell -vv | grep MASKBITS`" != ""              || ( echo Ispell should be compiled with MASKBITS set to at least 64. ; exit -2 )
#	@test `ispell -vv | grep MASKBITS | cut -d= -f2` -ge 64 || ( echo Ispell should be compiled with MASKBITS set to at least 64. ; exit -3 )
#
#$(sprog)-fake.hash: maskbits $(sprog).aff
#	echo 'QQQQQQQQ' > $(sprog)-fake
#	buildhash -s $(sprog)-fake $(sprog).aff $(sprog)-fake.hash
#
#words-$(language_code): ../words-$(language_code)
#	egrep -v '[/.: +]' ../words-$(language_code) | sort -u > words-$(language_code)
#
#words-$(language_code).munched: maskbits words-$(language_code) $(sprog).aff
#	munchlist -l $(sprog).aff -v < words-$(language_code) > words-$(language_code).munched
#
#words-$(language_code)-in_ispell_list: maskbits $(sprog)-fake.hash words-$(language_code).munched
#	ispell -e -d ./$(sprog)-fake < words-$(language_code).munched | tr ' ' '\n' | sort -u > words-$(language_code)-in_ispell_list
#
#words-$(language_code)-missing_in_ispell_list: words-$(language_code) words-$(language_code)-in_ispell_list
#	diff words-$(language_code) words-$(language_code)-in_ispell_list | grep '^< ' | cut -c3- | egrep -v '[/ .]' > words-$(language_code)-missing_in_ispell_list
#
#words-$(language_code).complete: words-$(language_code)-missing_in_ispell_list words-$(language_code).munched
#	sort -u words-$(language_code)-missing_in_ispell_list words-$(language_code).munched > words-$(language_code).complete
#
#$(sprog).hash: maskbits words-$(language_code).complete $(sprog).aff
#	buildhash words-$(language_code).complete $(sprog).aff $(sprog).hash
#
#install: maskbits $(sprog).hash $(sprog).aff
#	install -o root -g root -m 0644 $(sprog).hash $(installdir)
#	install -o root -g root -m 0644 $(sprog).aff  $(installdir)
#	ln -fs $(installdir)/$(sprog).hash $(installdir)/$(language_code)_$(country_code).hash
#	ln -fs $(installdir)/$(sprog).aff  $(installdir)/$(language_code)_$(country_code).aff
#
#clean:
#	rm -f words-$(language_code).complete.stat $(sprog).hash words-$(language_code).complete.cnt *~ $(sprog)-fake $(sprog)-fake.cnt $(sprog)-fake.stat $(sprog)-fake.hash words-$(language_code) words-$(language_code)-in_ispell_list words-$(language_code)-missing_in_ispell_list words-$(language_code).complete words-$(language_code).munched
#

=== myspell/Makefile ===
LANG=da_DK.ISO8859-1

sprog=dansk
sprog_en=Danish
sprog_en_lower_case=danish
language_code=da
country_code=DK

lang=da
version=1.4.52

all:
	@echo Please use the myspell package to build the dictionary for Myspell.
	@exit 1

##installdir=`locate wordbook/dictionary.lst | sed 's:/dictionary.lst$$::'`
#
#all:
#	make -C ../ispell words-$(language_code).complete
#
#words-$(language_code)_$(country_code).dic: ../ispell/words-$(language_code).complete
#	cp ../ispell/words-$(language_code).complete words-$(language_code)_$(country_code).dic
#
#install: $(language_code)_$(country_code).dic $(language_code)_$(country_code).aff
#	install -o root -g root -m 0644 $(language_code)_$(country_code).dic $(installdir)
#	install -o root -g root -m 0644 $(language_code)_$(country_code).aff $(installdir)
#
#clean:
#

## dsdo 1.4.60

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.52
+version=1.4.60
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.52
+version=1.4.60
 
 all:
 	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.

=== ispell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.52
+version=1.4.60
 
 all:
 	@echo Please use the ispell package to build the dictionary for Ispell.

=== myspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.52
+version=1.4.60
 
 all:
 	@echo Please use the myspell package to build the dictionary for Myspell.

## dsdo 1.6.9

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.60
+version=1.6.9
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.60
+version=1.6.9
 
 all:
 	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.

=== ispell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.60
+version=1.6.9
 
 all:
 	@echo Please use the ispell package to build the dictionary for Ispell.

=== myspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.4.60
+version=1.6.9
 
 all:
 	@echo Please use the myspell package to build the dictionary for Myspell.

## dsdo 1.6.14

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.9
+version=1.6.14
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.9
+version=1.6.14
 
 all:
 	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.

=== ispell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.9
+version=1.6.14
 
 all:
 	@echo Please use the ispell package to build the dictionary for Ispell.

=== myspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.9
+version=1.6.14
 
 all:
 	@echo Please use the myspell package to build the dictionary for Myspell.

## dsdo 1.6.18

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.14
+version=1.6.18
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.14
+version=1.6.18
 
 all:
 	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.

=== ispell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.14
+version=1.6.18
 
 all:
 	@echo Please use the ispell package to build the dictionary for Ispell.

=== myspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.14
+version=1.6.18
 
 all:
 	@echo Please use the myspell package to build the dictionary for Myspell.

## dsdo 1.6.25

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.18
+version=1.6.25
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.18
+version=1.6.25
 
 all:
 	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.

=== ispell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.18
+version=1.6.25
 
 all:
 	@echo Please use the ispell package to build the dictionary for Ispell.

=== myspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.18
+version=1.6.25
 
 all:
 	@echo Please use the myspell package to build the dictionary for Myspell.

=== debian/changelog ===
dsdo (1.6.25-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches and add DEP3 hints.
  * Use source format 3.0 (quilt) (not CDBS snippet patchsys-quilt.mk).
  * Drop most local CDBS snippets, and adjust CDBS usage in rules file
    to both use very newest features and be backports-friendly.
  * Stop build-depending on quilt or patchutils.
  * Tighten build-dependency on debhelper and cdbs.
  * Add README.source (and drop a couple of legacy notes).
  * Add git-buildpackage config, enabling pristine-tar and tag signing.
  * Refer to FSF website (not postal address) in local CDBS snippet
    dict.mk.
  * Add proper licensing header to debian/rules, and bump years.
  * Drop duplicate clean rule: patched rules now preserved during clean.
    Closes: bug#581328, thanks to Lucas Nussbaum.
  * Update ispell info file:
    + Fix add hash-name to Ispell-Args.
    + Declare Many-Otherchars: yes (multiple dashes can occur).
    + Strip superfluous Emacsen-Name and Extended-Character-Mode fields.
  * Simplify wdanish info file: Strip all but Language and Hash-Name
    (other fields are ignored anyway).
  * Recode wordlist and ship it as UTF-8.
    Closes: bug#573312, thanks to Jonas Häggqvist.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 May 2010 11:03:22 +0200

dsdo (1.6.18-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patches.
  * Update cdbs snippets:
    + Restructure output of copyright-check.mk to match new proposed
      copyright-format at
      http://wiki.debian.org/Proposals/CopyrightFormat .
    + Several minor improvements to upstream-tarball.mk.
    + Add new local package-relations.mk to merge duplicate
      build-dependencies and more.  Drop cleanup in debian/rules.
    + Update debian/README.cdbs-tweaks.
  * Update copyright hints.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Nov 2008 00:32:50 +0100

dsdo (1.6.14-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patches.
  * Packaging moved to collab-maint Git at Alioth. Update VCS-* hints.
  * Update local cdbs snippets:
    + Update copyright-check.mk to parse licensecheck output using perl:
      + No longer randomly drops newlines
      + More compact hint file (and ordered more like wiki-proposed new
        copyright syntax).
      + No longer ignore files without copyright.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Relax copyright-check to only warn about its discoveries.  Closes:
      bug#487060, thanks to Lucas Nussbaum.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
    + Cosmetic updates to README.cdbs-tweaks.
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2008 23:57:14 +0200

dsdo (1.6.11-2) unstable; urgency=medium

  * Update cdbs tweaks:
    + Fix copyright-check to explicitly grep stdin (recent versions of grep
      now use . per default).
  * Set urgency=medium as this can cause FTBFS but has (theoretically) no
    impact on packaged software so really shouldn't delay its move to testing.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Feb 2008 22:38:15 +0100

dsdo (1.6.11-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patches.
  * Update cdbs tweaks:
    + Major improvements to update-tarball (but none of them affect this
      current package).
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop bts.mk (we are happy to receive bugreports also for
      unofficial rebuilds of this package).
    + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL
      directly instead when needed.
    + Update debian/README.cdbs-tweaks to no longer mention buildcore.mk
      override.
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Feb 2008 16:32:01 +0100

dsdo (1.6.10-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patches.
  * Bump standards-version to 3.7.3 (no changes needed).
  * Bump dephelper compatibility to 5.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2007 13:46:17 +0100

dsdo (1.6.9-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patches.
  * Move Homepage to own field (from pseudo-field in long description).
  * Move X-Vcs-* control fields to Vcs-*.
  * Rewrite debian/copyright to conform to proposed new format at
    http://wiki.debian.org/Proposals/CopyrightFormat .

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Oct 2007 23:53:20 +0200

dsdo (1.6.8-1) unstable; urgency=low

  * New upstream release.
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Update cdbs tweaks:
    + Support non-dot repackaging delimiter in update-tarball.
    + update-tarball needs cdbs 0.4.39 or newer (only relevant for
      backports).
  * Improve duplicate build-dependency cleanup in debian/rules, and
    semi-auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Sep 2007 15:04:39 +0200

dsdo (1.6.7-1) unstable; urgency=low

  * New uptream release.
  * Switch to using the 1.6 branch (better proofread; seems recommended
    upstream now).
  * Update cdbs snippets:
    + Minor fixes and improvements to upstream-tarball.mk.
  * Declare (and cleanup) build-dependencies in debian/rules.
  * Unfuzz patches.
  * Add patch to use "no-compound_marking" for myspell. Closes:
    bug#305927, #431566, thanks to Jacob Sparre Andersen and Martin
    Leopold.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Aug 2007 11:55:55 +0200



=== debian/control ===
Source: dsdo
Maintainer: Jonas Smedegaard <dr@jones.dk>
Section: text
Priority: optional
Standards-Version: 3.7.3
Build-Depends: cdbs (>= 0.4.70~),
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 aspell (>= 0.60.3-2),
 dictionaries-common-dev (>=0.20),
 debhelper (>= 6),
 ispell,
 perl,
 recode
Vcs-Git: git://git.debian.org/git/collab-maint/dsdo.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dsdo.git;a=summary
Homepage: http://da.speling.org/

Package: idanish
Architecture: any
Depends: ${misc:Depends}, debconf, ispell, dictionaries-common
Suggests: wdanish
Provides: ispell-dictionary
Description: The Comprehensive Danish Dictionary (DSDO) - ispell
 The Comprehensive Danish Dictionary (DSDO) is a free spell-checking
 dictionary for Danish published by Skaane Sjaelland Linux User Group
 (SSLUG).  One thing which makes this dictionary different from most
 other dictionaries is that it basically is the result of a vote among
 the proof-readers.  The editorial group has _not_ proof-read all the
 words in the dictionary, but guides the proof-readers and keeps track
 of the overall status of the dictionary.
 .
 This is the Danish dictionary, to be used with ispell to check and
 correct spelling in Danish texts.

Package: wdanish
Architecture: all
Depends: ${misc:Depends}, debconf, dictionaries-common
Provides: wordlist
Description: The Comprehensive Danish Dictionary (DSDO) - wordlist
 The Comprehensive Danish Dictionary (DSDO) is a free spell-checking
 dictionary for Danish published by Skaane Sjaelland Linux User Group
 (SSLUG).  One thing which makes this dictionary different from most
 other dictionaries is that it basically is the result of a vote among
 the proof-readers.  The editorial group has _not_ proof-read all the
 words in the dictionary, but guides the proof-readers and keeps track
 of the overall status of the dictionary.
 .
 This is a flat list of Danish words and names. This can be used by
 spellcheckers or any other purpose needing a lot of words.
 
Package: aspell-da
Architecture: any
Depends: ${misc:Depends}, aspell
Provides: aspell6a-dictionary
Description: The Comprehensive Danish Dictionary (DSDO) - aspell
 The Comprehensive Danish Dictionary (DSDO) is a free spell-checking
 dictionary for Danish published by Skaane Sjaelland Linux User Group
 (SSLUG).  One thing which makes this dictionary different from most
 other dictionaries is that it basically is the result of a vote among
 the proof-readers.  The editorial group has _not_ proof-read all the
 words in the dictionary, but guides the proof-readers and keeps track
 of the overall status of the dictionary.
 .
 This is the Danish dictionary, to be used with aspell to check and
 correct spelling in Danish texts.

Package: myspell-da
Architecture: all
Depends: ${misc:Depends}, dictionaries-common (>= 0.10)
Suggests: openoffice.org (>= 1.0.3-3), mozilla-browser (>= 2:1.7), mozilla-mailnews (>= 2:1.7), mozilla-thunderbird
Conflicts: openoffice.org (<= 1.0.3-2)
Provides: myspell-dictionary, myspell-dictionary-da
Description: The Comprehensive Danish Dictionary (DSDO) - myspell
 The Comprehensive Danish Dictionary (DSDO) is a free spell-checking
 dictionary for Danish published by Skaane Sjaelland Linux User Group
 (SSLUG).  One thing which makes this dictionary different from most
 other dictionaries is that it basically is the result of a vote among
 the proof-readers.  The editorial group has _not_ proof-read all the
 words in the dictionary, but guides the proof-readers and keeps track
 of the overall status of the dictionary.
 .
 This is the Danish dictionary, to be used with myspell to check and
 correct spelling in Danish texts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003-2008,2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Den Store Danske Ordliste
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Suppress optional build-dependencies
CDBS_BUILD_DEPENDS_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_buildinfo =

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include debian/cdbs/1/class/dict.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = http://da.speling.org/filer
DEB_UPSTREAM_TARBALL_MD5 = 7710edd797c1a344810cafaa412cfa50

DEB_MAKE_BUILD_TARGET = all
DEB_INSTALL_DOCS_ALL += contributors

DEB_DICT_LANG = danish
DEB_DICT_NATIVELANG = dansk
DEB_DICT_LANGCODE = da
DEB_DICT_COUNTRYCODE = DK

# upstream build routines by default use old aspell layout
DEB_ASPELL_DIR = new_aspell

binary-post-install/wdanish::
	recode l1..utf8 "debian/$(cdbs_curpkg)/usr/share/dict/$(DEB_DICT_LANG)"

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , ispell, perl

# Needed by our packaging routines
CDBS_BUILD_DEPENDS += , recode

## dsdo 1.6.36

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.25
+version=1.6.36
 
 #-----------------------------------------------------------------------------
 # Build rules:

=== aspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.25
+version=1.6.36
 
 all:
 	@echo Please use the aspell or new_aspell package to build the dictionary for Aspell.

=== ispell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.25
+version=1.6.36
 
 all:
 	@echo Please use the ispell package to build the dictionary for Ispell.

=== myspell/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 country_code=DK
 
 lang=da
-version=1.6.25
+version=1.6.36
 
 all:
 	@echo Please use the myspell package to build the dictionary for Myspell.

=== debian/changelog ===
dsdo (1.6.36-9) unstable; urgency=medium

  * debian/control{,.in}::myspell-da: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 11:59:15 +0200

dsdo (1.6.36-8) unstable; urgency=medium

  * debian/control{,.in}:
    - Use Breaks rather than Conflicts.
    - Break possible hunspell-da to avoid name collisions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 15:30:50 +0200

dsdo (1.6.36-7) unstable; urgency=medium

  * debian/rules: Do not store timestamps in gzipped files.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 02 Jul 2015 15:00:29 +0200

dsdo (1.6.36-6) unstable; urgency=medium

  * debian/rules: Build always in a reproducible and known to work
    LC_ALL=C language environment

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 25 Jun 2015 15:02:19 +0200

dsdo (1.6.36-5) unstable; urgency=medium

  * debian/control: Fix dictionaries-common-dev Build-Depends. Needs at
    least 1.23.2 because of ${aspell:Depends} and .remove handling.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 21 Oct 2014 12:15:56 +0200

dsdo (1.6.36-4) unstable; urgency=medium

  * debian/aspell-da.info-aspell: Fix Emacsen-Name spelling.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Oct 2014 19:34:23 +0200

dsdo (1.6.36-3) unstable; urgency=medium

  * Change to use aspell-autobuildhash, making aspell-da arch:all.
  * Make sure aspell master file is named da.rws on build. da.cwl
    should be a prezip compressed wordlist.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Oct 2014 18:06:43 +0200

dsdo (1.6.36-2) unstable; urgency=medium

  * Make aspell-da depend on aspell (>= 0.60.7~20110707-1.3), where
    semi-multiarch settings are enabled.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Oct 2014 11:00:16 +0200

dsdo (1.6.36-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Imported Upstream version 1.6.30
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir. Add
    dpkg-source local-options.
  * Update md5sum hint for new upstream 1.6.30 release.
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Agustin Martin Domingo ]
  * Use a perl script to handle compound flags. Much faster that original
    bash script (Closes: #666670). This new build also (Closes: #764209).
  * Imported Upstream version 1.6.36
  * debian/rules: Update md5sum hint for new upstream 1.6.30 release.
  * Unfuzz patches for 1.6.36 release.
  * debian/control:
    - Canonicalize Vcs-* headers.
    - Add myself as Uploader.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Oct 2014 19:23:51 +0200

dsdo (1.6.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * dict.mk:
    - Make sure myspell stuff is installed in /usr/share/hunspell
      location.
    - Make sure openoffice.org snippets are no longer installed
      (Closes: #629077).
  * debian/{rules,control.in,patches/1002_enable_ispell_rules.patch}:
    - Make sure is built and run with new ispell (Closes: #620246).
  * 1006_improve_myspell_rules.patch:
    - Make sure POSIX locale is enforced in sorting (Closes: #607389).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 13 Sep 2011 11:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: dsdo
 Maintainer: Jonas Smedegaard <dr@jones.dk>
+Uploaders: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.7.3
-Build-Depends: cdbs (>= 0.4.70~),
+Standards-Version: 3.9.6
+Build-Depends: cdbs (>= 0.4.72~),
  devscripts (>= 2.10.7~),
+ aspell (>= 0.60.3-2),
+ dictionaries-common-dev (>= 1.23.2),
+ debhelper (>= 6),
  dh-buildinfo,
- aspell (>= 0.60.3-2),
- dictionaries-common-dev (>=0.20),
- debhelper (>= 6),
- ispell,
+ ispell (>= 3.3.02),
  perl,
  recode
-Vcs-Git: git://git.debian.org/git/collab-maint/dsdo.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dsdo.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/dsdo.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dsdo.git/
 Homepage: http://da.speling.org/
 
 Package: idanish
 Architecture: any
-Depends: ${misc:Depends}, debconf, ispell, dictionaries-common
+Depends: ${misc:Depends}, ispell (>= 3.3.02), dictionaries-common
 Suggests: wdanish
 Provides: ispell-dictionary
 Description: The Comprehensive Danish Dictionary (DSDO) - ispell
@@ -35,7 +36,7 @@
 
 Package: wdanish
 Architecture: all
-Depends: ${misc:Depends}, debconf, dictionaries-common
+Depends: ${misc:Depends}, dictionaries-common
 Provides: wordlist
 Description: The Comprehensive Danish Dictionary (DSDO) - wordlist
  The Comprehensive Danish Dictionary (DSDO) is a free spell-checking
@@ -48,11 +49,11 @@
  .
  This is a flat list of Danish words and names. This can be used by
  spellcheckers or any other purpose needing a lot of words.
- 
+
 Package: aspell-da
-Architecture: any
-Depends: ${misc:Depends}, aspell
-Provides: aspell6a-dictionary
+Architecture: all
+Depends: ${misc:Depends}, ${aspell:Depends}
+Provides: aspell-dictionary
 Description: The Comprehensive Danish Dictionary (DSDO) - aspell
  The Comprehensive Danish Dictionary (DSDO) is a free spell-checking
  dictionary for Danish published by Skaane Sjaelland Linux User Group
@@ -69,7 +70,8 @@
 Architecture: all
 Depends: ${misc:Depends}, dictionaries-common (>= 0.10)
 Suggests: openoffice.org (>= 1.0.3-3), mozilla-browser (>= 2:1.7), mozilla-mailnews (>= 2:1.7), mozilla-thunderbird
-Conflicts: openoffice.org (<= 1.0.3-2)
+Breaks: openoffice.org (<= 1.0.3-2)
+Conflicts: hunspell-da
 Provides: myspell-dictionary, myspell-dictionary-da
 Description: The Comprehensive Danish Dictionary (DSDO) - myspell
  The Comprehensive Danish Dictionary (DSDO) is a free spell-checking

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_UPSTREAM_URL = http://da.speling.org/filer
-DEB_UPSTREAM_TARBALL_MD5 = 7710edd797c1a344810cafaa412cfa50
+DEB_UPSTREAM_TARBALL_MD5 = d25fb65f67c8a76144e5e0f532a631b9
 
 DEB_MAKE_BUILD_TARGET = all
 DEB_INSTALL_DOCS_ALL += contributors
@@ -40,11 +40,22 @@
 # upstream build routines by default use old aspell layout
 DEB_ASPELL_DIR = new_aspell
 
+# Make sure to always build in a reproducible and working
+# language environment
+LC_ALL = C
+export LC_ALL
+
+install/aspell-da::
+	rm debian/$(cdbs_curpkg)/usr/lib/aspell/da.rws
+	mkdir -p debian/$(cdbs_curpkg)/usr/share/aspell
+	gzip -nc --best new_aspell/da.cwl > debian/$(cdbs_curpkg)/usr/share/aspell/da.cwl.gz
+	installdeb-aspell -paspell-da
+
 binary-post-install/wdanish::
 	recode l1..utf8 "debian/$(cdbs_curpkg)/usr/share/dict/$(DEB_DICT_LANG)"
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , ispell, perl
+CDBS_BUILD_DEPENDS += , ispell (>= 3.3.02), perl
 
 # Needed by our packaging routines
 CDBS_BUILD_DEPENDS += , recode
